My Project: dht::DhtRunner::Context Struct Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Attributes | List of all members
dht::DhtRunner::Context Struct Reference
Collaboration diagram for dht::DhtRunner::Context:
[legend]

## Public Attributes
std::shared_ptr< Logger > | logger {}
std::unique_ptr< net::DatagramSocket > | sock
std::shared_ptr< PeerDiscovery > | peerDiscovery {}
StatusCallback | statusChangedCallback {}
CertificateStoreQueryLegacy | certificateStore {}
CertificateStoreQuery | certificateStorePkId {}
IdentityAnnouncedCb | identityAnnouncedCb {}
PublicAddressChangedCb | publicAddressChangedCb {}
std::unique_ptr< std::mt19937_64 > | rng {}

## Detailed Description

Definition at line 58 of file dhtrunner.h.

## Constructor & Destructor Documentation

## ◆ Context()

dht::DhtRunner::Context::Context | ( |  | ) |
| inline

Definition at line 69 of file dhtrunner.h.

## Member Data Documentation

## ◆ certificateStore

CertificateStoreQueryLegacy dht::DhtRunner::Context::certificateStore {}

Definition at line 64 of file dhtrunner.h.

## ◆ certificateStorePkId

CertificateStoreQuery dht::DhtRunner::Context::certificateStorePkId {}

Definition at line 65 of file dhtrunner.h.

## ◆ identityAnnouncedCb

IdentityAnnouncedCb dht::DhtRunner::Context::identityAnnouncedCb {}

Definition at line 66 of file dhtrunner.h.

## ◆ logger

std::shared_ptr<Logger> dht::DhtRunner::Context::logger {}

Definition at line 60 of file dhtrunner.h.

## ◆ peerDiscovery

std::shared_ptr<PeerDiscovery> dht::DhtRunner::Context::peerDiscovery {}

Definition at line 62 of file dhtrunner.h.

## ◆ publicAddressChangedCb

PublicAddressChangedCb dht::DhtRunner::Context::publicAddressChangedCb {}

Definition at line 67 of file dhtrunner.h.

## ◆ rng

std::unique_ptr<std::mt19937_64> dht::DhtRunner::Context::rng {}

Definition at line 68 of file dhtrunner.h.

## ◆ sock

std::unique_ptr<net::DatagramSocket> dht::DhtRunner::Context::sock

Definition at line 61 of file dhtrunner.h.

## ◆ statusChangedCallback

StatusCallback dht::DhtRunner::Context::statusChangedCallback {}

Definition at line 63 of file dhtrunner.h.

The documentation for this struct was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/dhtrunner.h